Summary: Utility to autorestart SSH tunnels
Name: autossh
Version: 1.4g
Release:    1%{?dist}
License: BSD
URL: https://www.harding.motd.ca/autossh/
Source0: https://www.harding.motd.ca/autossh/autossh-1.4g.tgz
Source1: autossh@.service
Source2: README.service
Patch0: autossh-configure-c99.patch
BuildRequires:  gcc
BuildRequires: /usr/bin/ssh
BuildRequires: systemd
BuildRequires: make
%{?systemd_requires}
Requires(pre): shadow-utils
Requires: /usr/bin/ssh

%description
autossh is a utility to start and monitor an ssh tunnel. If the tunnel
dies or stops passing traffic, autossh will automatically restart it.

%prep
%setup -q
%patch0 -p1
cp -p %{SOURCE2} .

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/autossh
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_unitdir}
mkdir -p examples

cp -p autossh.host rscreen examples
chmod 0644 examples/*

install -m 0755 -p autossh %{buildroot}%{_bindir}
cp -p autossh.1 %{buildroot}%{_mandir}/man1

install -m 0644 -p %{SOURCE1} %{buildroot}%{_unitdir}

%pre
getent group autossh >/dev/null || groupadd -r autossh
getent passwd autossh >/dev/null || \
    useradd -r -g autossh -d %{_sysconfdir}/autossh -s %{_sbindir}/nologin \
    -c "autossh service account" autossh
exit 0

%post
%systemd_post autossh@.service

%preun
if [ $1 -eq 0 ] && [ -x /usr/bin/systemctl ]; then
    if [ -d /run/systemd/system ]; then
        /usr/bin/systemctl --no-reload disable --now autossh@.service || :
	systemctl stop "autossh@*.service" || :
    else
        /usr/bin/systemctl --no-reload disable autossh@.service || :
    fi
fi

%postun
%systemd_postun_with_restart "autossh@*.service"


%files
%doc CHANGES README README.service
%doc examples
%{_bindir}/*
%attr(750,autossh,autossh) %dir %{_sysconfdir}/autossh/
%{_mandir}/man1/*
%{_unitdir}/*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4g-1
- initial build
